Bug 763897 - (GLUSTER-2165) peer probe command does not allow alternative name or IP to be specified from initial host
peer probe command does not allow alternative name or IP to be specified from...
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.1
All All
medium Severity low
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 15:03 EST by Eco
Modified: 2013-01-30 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eco 2010-11-29 15:03:12 EST
When you run gluster peer probe initially from a host, other peers see the host listed by the IP address of the first interface.  A mechanism needs to be provided to allow a user to specify an alternative IP, shortname or FQDN.
Comment 1 Pranith Kumar K 2010-12-19 06:57:19 EST
It takes IP addresses and FQDN provided the DNS is set up properly.
Example:
1) Just after the peer probe:
pranith@pranith-VirtualBox:/etc/glusterd$ sudo gluster peer status
[sudo] password for pranith: 
Number of Peers: 1

Hostname: 192.168.1.179
Uuid: 6a220d7d-dc5a-44cb-bee1-14a52dde9e16
State: Peer in Cluster (Connected)

2) Changed the IP to Hostname
pranith@pranith-VirtualBox:/etc/glusterd$ sudo gluster peer probe
pranith-laptop
Probe successful
pranith@pranith-VirtualBox:/etc/glusterd$ sudo gluster peer status
Number of Peers: 1

Hostname: pranith-laptop
Uuid: 6a220d7d-dc5a-44cb-bee1-14a52dde9e16
State: Peer in Cluster (Connected)

3) Changed the Hostname back to IP
pranith@pranith-VirtualBox:/etc/glusterd$ sudo gluster peer probe 192.168.1.179
Probe successful

pranith@pranith-VirtualBox:/etc/glusterd$ sudo gluster peer status
Number of Peers: 1

Hostname: 192.168.1.179
Uuid: 6a220d7d-dc5a-44cb-bee1-14a52dde9e16
State: Peer in Cluster (Connected)
pranith@pranith-VirtualBox:/etc/glusterd$

Note You need to log in before you can comment on or make changes to this bug.